Purchase of the Hawk - ED Forums
 


Notices

Reply
 
Thread Tools Display Modes
Old 12-18-2018, 07:02 PM   #1
Motosuwa
Junior Member
 
Motosuwa's Avatar
 
Join Date: Oct 2013
Posts: 14
Default Purchase of the Hawk

So, I've noticed on your site the Hawk is now stating;
"Attention! Starting DCS World version 2.5.4 this module will be unavailable! Please use DCS World version 2.5.3 or below!"

To me this shows there will be no more work on the aircraft and that means that it's an unfinished product. So at this point all that have purchased the Hawk (Myself included) have basically given ED and VEAO free money - Yes, you're "allowing" us to use an old build to fly the current state but that's restricting access to something we have purchased.

Will there be a refund for this for those who wish to apply for it?

There will be people applying cases for a refund under the consumer rights or maybe take it further.
Motosuwa is offline   Reply With Quote
Old 12-18-2018, 07:08 PM   #2
(504)smudge
Veteran
 
Join Date: May 2006
Location: Newcastle, England
Posts: 172
Default

I think it wouldn't be unreasonable for ED to give a store credit/loyalty discount for next purchase for those that have the Hawk. I know it's available on a earlier version, but is there a way to keep that version? or download it in the future if you don't already have it?

This whole thing is rotten, it's sad that VEAO folded, but it currently feels like we have been out in the cold, so to speak.
__________________
Eagles may soar but weasels don't get sucked into jet engines.


https://www.youtube.com/user/504smudge

https://www.facebook.com/504smudge
(504)smudge is offline   Reply With Quote
Old 12-18-2018, 07:08 PM   #3
(504)Blade
Member
 
(504)Blade's Avatar
 
Join Date: Jun 2005
Posts: 155
Default

I would be happy if they offered me the NS430 Navigation system as some sort of compensation, instead of a full refund....
(504)Blade is offline   Reply With Quote
Old 12-18-2018, 07:35 PM   #4
Svsmokey
Senior Member
 
Join Date: Dec 2017
Location: Dystrumpia
Posts: 2,107
Default

Quote:
Originally Posted by (504)smudge View Post
I think it wouldn't be unreasonable for ED to give a store credit/loyalty discount for next purchase for those that have the Hawk. I know it's available on a earlier version, but is there a way to keep that version? or download it in the future if you don't already have it?

This whole thing is rotten, it's sad that VEAO folded, but it currently feels like we have been out in the cold, so to speak.
Yes . You can keep 2.3 for the Hawk , and download 2.4+ as well for everything else .
__________________
I5-6500 3.2ghz cpu, 16 gb ddr4-2133mhz , Asrock H170M PRO4 , 128gb & 240gb ssd's , 1tb hdd , EVGA 1070 FE , Rift CV1 , CH Hotas and pedals , Foxx deskmounts

"Hold my beer"
Svsmokey is offline   Reply With Quote
Old 12-18-2018, 07:49 PM   #5
zhukov032186
Senior Member
 
Join Date: Nov 2016
Location: Fort Worth, Tx
Posts: 2,274
Default

Did you really need to open your own thread for this already heavily discussed topic?

Guess what, when they went from 1.5.8 to 2.5 there was a drop in compatability. People either stayed with the old or updated to the new, losing or gaining access accordingly. That is far from a new phenomenom. No, Hawk owners are not super special cases. You can keep a Hawk compatibile version of the game or not. That is a choice nobody is making for you. You STILL HAVE ACCESS TO IT. Do not repeat bs implying you don't.


And as has been stated at length in the OTHER thread before your suuuuuper special one, it is not as simple as just continuing to allow it. It requires dev resources to actively maintain compatability, resources that at present are allocated toward other projects. Additionally, considering they're going in behind other people to work on their code, assuming VEAO even gives it to them, it's probably going to be down a while anyway during the transition.
'

Now, are you ready to go read the MAIN thread or do we need to have all the same conversations again just for you?
__________________
Zhukov attacks *FORUM USER* with Legendary Trollsword!
*FORUM USER* Constitution save roll.... Fail!
*FORUM USER* afflicted with ''Hurt Feelz'', -1 Concentration for two rounds
zhukov032186 is offline   Reply With Quote
Old 12-18-2018, 07:59 PM   #6
(504)Blade
Member
 
(504)Blade's Avatar
 
Join Date: Jun 2005
Posts: 155
Default

Quote:
Originally Posted by zhukov032186 View Post
Did you really need to open your own thread for this already heavily discussed topic?

Guess what, when they went from 1.5.8 to 2.5 there was a drop in compatability. People either stayed with the old or updated to the new, losing or gaining access accordingly. That is far from a new phenomenom. No, Hawk owners are not super special cases. You can keep a Hawk compatibile version of the game or not. That is a choice nobody is making for you. You STILL HAVE ACCESS TO IT. Do not repeat bs implying you don't.


And as has been stated at length in the OTHER thread before your suuuuuper special one, it is not as simple as just continuing to allow it. It requires dev resources to actively maintain compatability, resources that at present are allocated toward other projects. Additionally, considering they're going in behind other people to work on their code, assuming VEAO even gives it to them, it's probably going to be down a while anyway during the transition.
'

Now, are you ready to go read the MAIN thread or do we need to have all the same conversations again just for you?
Excuse me but who are you anyway?
(504)Blade is offline   Reply With Quote
Old 12-18-2018, 08:05 PM   #7
Motosuwa
Junior Member
 
Motosuwa's Avatar
 
Join Date: Oct 2013
Posts: 14
Default

Quote:
Originally Posted by zhukov032186 View Post
Did you really need to open your own thread for this already heavily discussed topic?
Yup.

Quote:
Originally Posted by zhukov032186 View Post
Guess what, when they went from 1.5.8 to 2.5 there was a drop in compatability. People either stayed with the old or updated to the new, losing or gaining access accordingly. That is far from a new phenomenom. No, Hawk owners are not super special cases. You can keep a Hawk compatibile version of the game or not. That is a choice nobody is making for you. You STILL HAVE ACCESS TO IT. Do not repeat bs implying you don't.
(Seeing how you replied in caps, I shall do the same! )
YES I STILL HAVE ACCESS TO IT BUT LIKE I SAID, FOR HOW LONG? I'M NOT REPEATING BS, I WANT SOME ANSWERS LIKE WE ALL DO. CALLING US ALL "SUPER SPECIAL CASES BECAUSE WE BOUGHT A PRODUCT IS A LITTLE HARSH, NO? JUST BECAUSE YOU DODGED A BULLET.

Quote:
Originally Posted by zhukov032186 View Post
And as has been stated at length in the OTHER thread before your suuuuuper special one, it is not as simple as just continuing to allow it. It requires dev resources to actively maintain compatability, resources that at present are allocated toward other projects. Additionally, considering they're going in behind other people to work on their code, assuming VEAO even gives it to them, it's probably going to be down a while anyway during the transition.
'
Again, we just want answers - Simple. The more posts that are made the higher chance something might get done / we get answers. It's standard.

Quote:
Originally Posted by zhukov032186 View Post
Now, are you ready to go read the MAIN thread or do we need to have all the same conversations again just for you?
How about you get off your high horse you giant waste of life and do us all a favour and just stop wasting peoples (including yourself) time reading your totally pointless little crap.

Last edited by Motosuwa; 12-18-2018 at 08:13 PM.
Motosuwa is offline   Reply With Quote
Old 12-18-2018, 08:22 PM   #8
Buzzles
Senior Member
 
Join Date: Dec 2013
Location: Northern Europe
Posts: 2,613
Default

We've already got a thread on this:
https://forums.eagle.ru/showthread.php?t=227244&page=10


And it's already got some of the answers you seek from NineLine.
Buzzles is offline   Reply With Quote
Old 12-18-2018, 11:24 PM   #9
MustangSally
Member
 
MustangSally's Avatar
 
Join Date: Apr 2011
Location: Brisbane Australia
Posts: 477
Default

Really mate!! A separate thread because you can't be bothered clicking on the "Hawk" thread???
__________________


Obutto Ozone
i7-7740x @ 4.9 (Delided), ASRock X299 Fatal1ty M/B
Samsung 970 EVO Series 500GB M.2 2280 NVMe SSD
Crucial M500 and M300 SSD's, 32gig GSkill Ripjaws DDR4
Gigabyte 1080Ti, Corsair 1115 Pro water cooler
Philips BDM3270QP2/75 32inch 2k monitor
HP L2105TM Touch screen
Virpil T-50 Mongoos Throttle
Virpil T50 CM, VKB T-Rudders Mk.IV, TrackIr, DS FLT1

Please remember that there is no such word as "aircrafts"
MustangSally is offline   Reply With Quote
Old 12-18-2018, 11:37 PM   #10
aileron
Member
 
Join Date: May 2015
Location: California, USA
Posts: 291
Default

Im sure this thread has violated a rule or two and will be closed soon enough... not to mention name calling might get op banned for a short stint.
aileron is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

All times are GMT. The time now is 11:25 AM. vBulletin Skin by ForumMonkeys. Powered by vBulletin®.
Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.